# Depot Struct Reference

Inheritance diagram for Depot:

## Public Member Functions
| Depot (TileIndex xy=INVALID_TILE)
| ~Depot ()
| Clean up a depot.
## Static Public Member Functions
static FORCEINLINE Depot * | GetByTile (TileIndex tile)
## Data Fields
TileIndex | xy
TownID | town_index

## Detailed Description

Definition at line 21 of file depot_base.h.

The documentation for this struct was generated from the following files:

- src/depot_base.h
- src/depot.cpp